curl --request POST \
--url https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/reverse \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"redemptionCode": "04c229d7-03cb-421f-9d77-1c0ff1fc2641",
"profileId": "67460e74-02e3-11e8-b443-00163e990bdb"
}
'import requests
url = "https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/reverse"
payload = {
"redemptionCode": "04c229d7-03cb-421f-9d77-1c0ff1fc2641",
"profileId": "67460e74-02e3-11e8-b443-00163e990bdb"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
redemptionCode: '04c229d7-03cb-421f-9d77-1c0ff1fc2641',
profileId: '67460e74-02e3-11e8-b443-00163e990bdb'
})
};
fetch('https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/reverse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"message": "Reward reversed successfully.",
"errors": {},
"data": null
}{
"message": "Error message string",
"errors": {
"ExceptionString": [
"Invalid Field"
]
},
"data": null,
"status": 400
}{
"detail": "Authentication Failed"
}Reverse Redeemed Rewards
Converts rewards back to points when the order is cancelled or returned.
Note: Once a reward has been redeemed, it cannot be cancelled. To cancel the rewards (convert back to points) before redemption, use the Cancel Reward endpoint - POST /api/v1/redeem/cancel.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Details of Reverse Rewards endpoint
Redemption code used to identify the rewards used in a specific transaction. This is generated in the response of the Issue Variable Rewards endpoint - POST /api/v1/redeem/reward/issue.
"04c229d7-03cb-421f-9d77-1c0ff1fc2641"
Profile ID of the member. In an ecosystem, it acts as a primary ID to keep the various systems (apps, websites, etc.) in sync.
"67460e74-02e3-11e8-b443-00163e990bdb"
Response
OK
Response (metadata) of reward reversal
Was this page helpful?
